# ---------------------------------------------------------------------------
VERSION = BCB.03
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = wncomr.exe
OBJFILES = wncomr.obj omrtit.obj omrset.obj omrset2.obj omroutst.obj omrtest.obj \
  omrcopyr.obj omrzoom.obj omrset3.obj omrlogo.obj anssel.obj tokusyu.obj
RESFILES = wncomr.res
RESDEPEN = $(RESFILES) omrtit.dfm omrset.dfm omrset2.dfm omroutst.dfm omrtest.dfm \
  omrcopyr.dfm omrzoom.dfm omrset3.dfm omrlogo.dfm anssel.dfm tokusyu.dfm
LIBFILES =
LIBRARIES = vcldbx35.lib vcldb35.lib vclx35.lib vcl35.lib
SPARELIBS = vcl35.lib vclx35.lib vcldb35.lib vcldbx35.lib
PACKAGES = VCLX35.bpi VCL35.bpi VCLDB35.bpi VCLDBX35.bpi bcbsmp35.bpi dclocx35.bpi \
  QRPT35.bpi TEEUI35.bpi TEEDB35.bpi TEE35.bpi ibsmp35.bpi NMFAST35.bpi \
  INETDB35.bpi INET35.bpi
PATHASM = .;
PATHCPP = .;
PATHPAS = .;
PATHRC = .;
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -Ve -d -k- -vi -c -b- -w-par -w-inl -Vx
CFLAG2 = -I"c:\program files\borland\cbuilder3\projects";$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl \
  -H=$(BCB)\lib\vcl.csm
CFLAG3 =
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
  -U"c:\program files\borland\cbuilder3\projects";$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib;$(RELEASELIBPATH) \
  -I"c:\program files\borland\cbuilder3\projects";$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl \
  -$L- -$D- -JPHNV -M
RFLAGS = -i"c:\program files\borland\cbuilder3\projects";$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl
AFLAGS = /i"c:\program files\borland\cbuilder3\projects" /i$(BCB)\projects \
  /i$(BCB)\include /i$(BCB)\include\vcl /mx /w2 /zn
LFLAGS = -L"c:\program files\borland\cbuilder3\projects";$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib;$(RELEASELIBPATH) \
  -aa -Tpe -x -Gn
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj sysinit.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) $(LIBRARIES) import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=1
AutoIncBuild=0
MajorVer=0
MinorVer=0
Release=5
Build=4
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0
Locale=1041
CodePage=932

[Version Info Keys]
CompanyName=WNC develop
FileDescription=̓_soft for Win95/98/Me/NT4/2000/XP
FileVersion=0.0.5.4
InternalName=
LegalCopyright=(C)2006 WNC / T.W.  All rights reserved.
LegalTrademarks=
OriginalFilename=wncomr.exe
ProductName=WNC TOOLS
ProductVersion=0.00
Comments=Made in Japan

[HistoryLists\hlIncludePath]
Count=2
Item0=c:\program files\borland\cbuilder3\projects;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl
Item1=$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl

[HistoryLists\hlLibraryPath]
Count=2
Item0=c:\program files\borland\cbuilder3\projects;$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib
Item1=$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib

[HistoryLists\hlUnitAliases]
Count=1
Item0=WinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE

[HistoryLists\hlRunParameters]
Count=10
Item0=/r:0000001.dat
Item1=/r:datatest.dat /w:zzzzzzz.csv /x:zzzzzzz.asc /s /e /1
Item2=/r:datatest.dat /w:zzzzzzz.csv /x:zzzzzzz.asc /s /e /9
Item3=/r:datatest.dat /w:zzzzzzz.csv /x:zzzzzzz.asc /s /e /2
Item4=/2
Item5=/r:datatest.dat /w:zzzzzzz.csv /x:zzzzzzz.asc /s /e
Item6=/r:datatest.dat /w:zzzzzzz.csv /x:zzzzzzz.asc /s
Item7=/r:datatest.dat /w:zzzzzzz.csv /x:zzzzzzz.asc
Item8=/r:datatest.dat
Item9=/r:dattest.dat

[Debugging]
DebugSourceDirs=

[Parameters]
RunParams=/r:0000001.dat
HostApplication=

!endif

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
